/* element { property: value } */

* {
    /* margin: 0;
    padding: 0; */
    box-sizing: border-box;
}

/* Change the color of h1 element to brown using type selector */

h1 {
    color: brown;
}

/* Change the color of h1 element to pink using ID selector */

#idTest {
    color: pink;
    font-size: 20px;
}

/* change the color of h2 element to blue and transform the text to upper case */

.classTest {
    color: blue;
    text-transform: uppercase;
}

/* Change the background color on input fields with an attribute of type=text to orange */

[type="text"] {
    background-color: orange;
}

/* Change the background of the whole web page to color light blue */

body {
    background-color: lightblue;
}

h2 {
    font-family: Verdana, Geneva, Tahoma, sans-serif
}

/* Combinator Selectors */

/* 1. Descendant Selector (white space)
    - select/targets "all elements that matches specified element (regardless if children / grandchildren elements)

    syntax:

    firstElement childElement {
        property: value;
    }
*/

/* div p {
    background-color: red;
} */

/* #parent p {
    background-color: red;
} */

/* div section p {
    background-color: red;
} */

/* #parent section p {
    background-color: red;
} */

/* 2. Child Selector (>)
    - Selects/targets "all elements" that are "children" of a specified element

    syntax:

    parentElement > childElement {
        property: value
    }

*/

/* div > p {
    background-color: salmon;
} */

/* 3. Adjacent Sibling Selector (x)
    - Selects/targets an element that is directly after (beside) the first selector

    syntax:

    firstElement + targetElement {
        property: value
    }
*/

/* p + p {
    background-color: seagreen;
} */

/* div + p {
    background-color: springgreen;
} */

/* 4. General Sibling Selector (~)
    - Selects/targets "all elements" that are siblings of a specific element

    syntax:

    firstElement ~ siblingElement {
        property: value;
    }
*/

p ~ p {
    background-color: steelblue;
}